export declare class UxplRadio {
  private inputId;
  private radioGroup;
  el: HTMLElement;
  /**
   * If `true`, the radio is selected.
   */
  checked: boolean;
  /**
   * If `true`, the user cannot interact with the radio.
   */
  disabled: boolean;
  /**
   * the value of the radio.
   */
  value?: any | null;
  /**
   * The tabindex of the radio button.
   * @internal
   */
  buttonTabindex: number;
  /** @internal */
  setButtonTabIdx(value: number): Promise<void>;
  private updateState;
  connectedCallback(): void;
  disconnectedCallback(): void;
  render(): any;
}
